#include "gauss.h"
#include <cmath>
#include <iostream>
#define PI 3.1415926535

static const double pi2=1/sqrt(2*PI);

ostream& operator<<(ostream &o, const Gauss &w)
{
	o <<  w.nazwa << " srednia= " << w.x << " odchylenie= " << w.s;
	return o;
}

double Gauss::operator()(double x)
{
	return exp(-(x-this->x)*(x-this->x)/(2*s*s))*pi2/s;
}

Gauss::Gauss(const Gauss& g)
{
	this->nazwa = g.nazwa;
	this->s = g.s;
	this->x = g.x;
}


